Bug 492790 - Sound suddenly stopped working
Sound suddenly stopped working
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-29 12:58 EDT by Adam Kovari
Modified: 2009-03-31 14:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-31 14:55:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (45.51 KB, text/plain)
2009-03-29 12:58 EDT, Adam Kovari
no flags Details

  None (edit)
Description Adam Kovari 2009-03-29 12:58:12 EDT
Created attachment 337175 [details]
dmesg output

Description of problem:
My sound stopped working. PulseAudio mixed shows in output devices only Null output. Everything seems to be playing music fine except no music can be actually heard.
I installed KVM yesterday, rebooted few times and everything worked fine, so i don't know if that causes the problem, but i haven't installed anything since. I would like to disable sound in kvm machines anyway, just haven't figured out how yet.

Version-Release number of selected component (if applicable):
Linux 2.6.27.19-170.2.35.fc10.x86_64
alsa-lib 1.0.19
pulseaudio 0.9.14
kvm 74

alsa information: http://www.alsa-project.org/db/?f=68d18c2b8c12f79f5cb15f19d80257747e7164b8
Comment 1 Adam Kovari 2009-03-29 14:16:31 EDT
I changed some rights of sound devices, played with alsa mixer and rebooted and it's working now.
Comment 2 Adam Kovari 2009-03-30 14:26:10 EDT
After another reboot it doesn't work again. I rebooted one more time but still doesn't work. I have noticed that the Gnome welcome sound plays, but then no application can play any sound even though it seems to be playing it.

I'm attaching some more data:

[adam@adam-linux ~]$ pulseaudio -vv
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
I: caps.c: Dropping root privileges.
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
D: main.c: Started as real root: no, suid root: yes
I: main.c: PolicyKit refuses acquire-high-priority privilege.
N: main.c: Called SUID root and real-time and/or high-priority scheduling was requested in the configuration. However, we lack the necessary privileges:
N: main.c: We are not in group 'pulse-rt', PolicyKit refuse to grant us the requested privileges and we have no increase RLIMIT_NICE/RLIMIT_RTPRIO resource limits.
N: main.c: For enabling real-time/high-priority scheduling please acquire the appropriate PolicyKit privileges, or become a member of 'pulse-rt', or increase the RLIMIT_NICE/RLIMIT_RTPRIO resource limits for this user.
I: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
I: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
D: main.c: Can realtime: no, can high-priority: no
D: main.c: Can realtime: no, can high-priority: no
I: main.c: This is PulseAudio 0.9.14
D: main.c: Compilation host: x86_64-redhat-linux-gnu
D: main.c: Compilation CFLAGS: -ggdb -Wall -W -Wextra -pedantic -pipe -Wno-long-long -Wvla -Wno-overlength-strings -Wconversion -Wundef -Wformat -Wlogical-op -Wpacked -Wformat-security -Wmissing-include-dirs -Wformat-nonliteral -Wold-style-definition -Wdeclaration-after-statement -Wfloat-equal -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wredundant-decls -Wmissing-noreturn -Wshadow -Wendif-labels -Wpointer-arith -Wcast-align -Wwrite-strings -Wno-unused-parameter -ffast-math
D: main.c: Running on host: Linux x86_64 2.6.27.19-170.2.35.fc10.x86_64 #1 SMP Mon Feb 23 13:00:23 EST 2009
I: main.c: Page size is 4096 bytes
D: main.c: Compiled with Valgrind support: no
D: main.c: Running in valgrind mode: no
D: main.c: Optimized build: no
I: main.c: Machine ID is a8b7ff8da76643d7b296408749c66dad.
I: main.c: Using runtime directory /home/adam/.pulse/a8b7ff8da76643d7b296408749c66dad:runtime.
I: main.c: Using state directory /home/adam/.pulse.
I: main.c: Running in system mode: no
E: pid.c: Daemon already running.
E: main.c: pa_pid_file_create() failed.
Comment 3 Lennart Poettering 2009-03-30 18:07:54 EDT
Please terminate PA with "pulseaudio -k" before you run "pulseaudio -vvvv"
Comment 4 Adam Kovari 2009-03-31 08:22:53 EDT
I hope this will help:

[adam@adam-linux ~]$ pulseaudio -k
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
I: caps.c: Dropping root privileges.
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
[adam@adam-linux ~]$ pulseaudio -vvv
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
I: caps.c: Dropping root privileges.
I: caps.c: Limited capabilities successfully to CAP_SYS_NICE.
D: main.c: Started as real root: no, suid root: yes
I: main.c: We're in the group 'pulse-rt', allowing high-priority scheduling.
I: main.c: RLIMIT_RTPRIO is set to 20, allowing real-time scheduling.
I: main.c: RLIMIT_NICE is set to 40, allowing high-priority scheduling.
I: core-util.c: Successfully gained nice level -11.
D: main.c: Can realtime: yes, can high-priority: yes
I: main.c: Giving up CAP_NICE
D: main.c: Can realtime: yes, can high-priority: yes
I: main.c: This is PulseAudio 0.9.14
D: main.c: Compilation host: x86_64-redhat-linux-gnu
D: main.c: Compilation CFLAGS: -ggdb -Wall -W -Wextra -pedantic -pipe -Wno-long-long -Wvla -Wno-overlength-strings -Wconversion -Wundef -Wformat -Wlogical-op -Wpacked -Wformat-security -Wmissing-include-dirs -Wformat-nonliteral -Wold-style-definition -Wdeclaration-after-statement -Wfloat-equal -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wredundant-decls -Wmissing-noreturn -Wshadow -Wendif-labels -Wpointer-arith -Wcast-align -Wwrite-strings -Wno-unused-parameter -ffast-math
D: main.c: Running on host: Linux x86_64 2.6.27.19-170.2.35.fc10.x86_64 #1 SMP Mon Feb 23 13:00:23 EST 2009
I: main.c: Page size is 4096 bytes
D: main.c: Compiled with Valgrind support: no
D: main.c: Running in valgrind mode: no
D: main.c: Optimized build: no
I: main.c: Machine ID is a8b7ff8da76643d7b296408749c66dad.
I: main.c: Using runtime directory /home/adam/.pulse/a8b7ff8da76643d7b296408749c66dad:runtime.
I: main.c: Using state directory /home/adam/.pulse.
I: main.c: Running in system mode: no
I: main.c: Fresh high-resolution timers available! Bon appetit!
D: memblock.c: Using shared memory pool with 1024 slots of size 64.0 KiB each, total size is 64.0 MiB, maximum usable slot size is 65472
I: module-device-restore.c: Sucessfully opened database file '/home/adam/.pulse/a8b7ff8da76643d7b296408749c66dad:device-volumes.x86_64-redhat-linux-gnu.gdbm'.
I: module.c: Loaded "module-device-restore" (index: #0; argument: "").
I: module-stream-restore.c: Sucessfully opened database file '/home/adam/.pulse/a8b7ff8da76643d7b296408749c66dad:stream-volumes.x86_64-redhat-linux-gnu.gdbm'.
I: module.c: Loaded "module-stream-restore" (index: #1; argument: "").
D: cli-command.c: Checking for existance of '/usr/lib64/pulse-0.9/modules/module-hal-detect.so': success
I: module-hal-detect.c: Trying capability alsa
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/computer_alsa_timer
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/computer_alsa_sequencer
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/pci_8086_293e_sound_card_0_alsa_capture_2
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/pci_8086_293e_sound_card_0_alsa_playback_1
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/pci_8086_293e_sound_card_0_alsa_capture_1
D: module-hal-detect.c: Loading module-alsa-sink with arguments 'device_id=0 sink_name=alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 tsched=1'
D: alsa-util.c: Trying front:0 with SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_hw.c: open /dev/snd/pcmC0D0p failed
I: alsa-util.c: Couldn't open PCM device front:0: Device or resource busy
D: alsa-util.c: Trying surround40:0 with SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_hw.c: open /dev/snd/pcmC0D0p failed
I: alsa-util.c: Couldn't open PCM device surround40:0: Device or resource busy
D: alsa-util.c: Trying surround41:0 with SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_hw.c: open /dev/snd/pcmC0D0p failed
I: alsa-util.c: Couldn't open PCM device surround41:0: Device or resource busy
D: alsa-util.c: Trying surround50:0 with SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_hw.c: open /dev/snd/pcmC0D0p failed
I: alsa-util.c: Couldn't open PCM device surround50:0: Device or resource busy
D: alsa-util.c: Trying surround51:0 with SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_hw.c: open /dev/snd/pcmC0D0p failed
I: alsa-util.c: Couldn't open PCM device surround51:0: Device or resource busy
D: alsa-util.c: Trying surround71:0 with SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_hw.c: open /dev/snd/pcmC0D0p failed
I: alsa-util.c: Couldn't open PCM device surround71:0: Device or resource busy
D: alsa-util.c: Trying hw:0 as last resort...
D: alsa-util.c: Trying hw:0 with SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_hw.c: open /dev/snd/pcmC0D0p failed
E: alsa-util.c: Error opening PCM device hw:0: Device or resource busy
E: module.c: Failed to load  module "module-alsa-sink" (argument: "device_id=0 sink_name=alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0 tsched=1"): initialization failed.
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/pci_8086_293e_sound_card_0_alsa_playback_0
D: module-hal-detect.c: Loading module-alsa-source with arguments 'device_id=0 source_name=alsa_input.pci_8086_293e_sound_card_0_alsa_capture_0 tsched=1'
D: alsa-util.c: Trying front:0 with SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_hw.c: open /dev/snd/pcmC0D0c failed
I: alsa-util.c: Couldn't open PCM device front:0: Device or resource busy
D: alsa-util.c: Trying surround40:0 with SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_hw.c: open /dev/snd/pcmC0D0c failed
I: alsa-util.c: Couldn't open PCM device surround40:0: Device or resource busy
D: alsa-util.c: Trying surround41:0 with SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_hw.c: open /dev/snd/pcmC0D0c failed
I: alsa-util.c: Couldn't open PCM device surround41:0: Device or resource busy
D: alsa-util.c: Trying surround50:0 with SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_hw.c: open /dev/snd/pcmC0D0c failed
I: alsa-util.c: Couldn't open PCM device surround50:0: Device or resource busy
D: alsa-util.c: Trying surround51:0 with SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_hw.c: open /dev/snd/pcmC0D0c failed
I: alsa-util.c: Couldn't open PCM device surround51:0: Device or resource busy
D: alsa-util.c: Trying surround71:0 with SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_hw.c: open /dev/snd/pcmC0D0c failed
I: alsa-util.c: Couldn't open PCM device surround71:0: Device or resource busy
D: alsa-util.c: Trying hw:0 as last resort...
D: alsa-util.c: Trying hw:0 with SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_hw.c: open /dev/snd/pcmC0D0c failed
E: alsa-util.c: Error opening PCM device hw:0: Device or resource busy
E: module.c: Failed to load  module "module-alsa-source" (argument: "device_id=0 source_name=alsa_input.pci_8086_293e_sound_card_0_alsa_capture_0 tsched=1"): initialization failed.
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/pci_8086_293e_sound_card_0_alsa_capture_0
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/pci_8086_293e_sound_card_0_alsa_hw_specific_2
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/pci_8086_293e_sound_card_0_alsa_control__1
D: module-hal-detect.c: Loading module-alsa-source with arguments 'device_id=2 source_name=alsa_input.usb_device_46d_8ad_noserial_if1_sound_card_0_alsa_capture_0 tsched=1'
D: alsa-util.c: Trying front:2 with SND_PCM_NO_AUTO_FORMAT ...
D: alsa-util.c: Trying front:2 without SND_PCM_NO_AUTO_FORMAT ...
D: alsa-util.c: Trying plug:front:2 with SND_PCM_NO_AUTO_FORMAT ...
D: alsa-util.c: Trying plug:front:2 without SND_PCM_NO_AUTO_FORMAT ...
I: alsa-util.c: PCM device plug:front:2 refused our hw parameters: Invalid argument
D: alsa-util.c: Trying surround40:2 with SND_PCM_NO_AUTO_FORMAT ...
D: alsa-util.c: Trying surround40:2 without SND_PCM_NO_AUTO_FORMAT ...
D: alsa-util.c: Trying plug:surround40:2 with SND_PCM_NO_AUTO_FORMAT ...
D: alsa-util.c: Trying plug:surround40:2 without SND_PCM_NO_AUTO_FORMAT ...
I: alsa-util.c: PCM device plug:surround40:2 refused our hw parameters: Invalid argument
D: alsa-util.c: Trying surround41:2 with SND_PCM_NO_AUTO_FORMAT ...
D: alsa-util.c: Trying surround41:2 without SND_PCM_NO_AUTO_FORMAT ...
D: alsa-util.c: Trying plug:surround41:2 with SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_params.c: Slave PCM not usable
D: alsa-util.c: Trying plug:surround41:2 without SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_params.c: Slave PCM not usable
I: alsa-util.c: PCM device plug:surround41:2 refused our hw parameters: Invalid argument
D: alsa-util.c: Trying surround50:2 with SND_PCM_NO_AUTO_FORMAT ...
D: alsa-util.c: Trying surround50:2 without SND_PCM_NO_AUTO_FORMAT ...
D: alsa-util.c: Trying plug:surround50:2 with SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_params.c: Slave PCM not usable
D: alsa-util.c: Trying plug:surround50:2 without SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_params.c: Slave PCM not usable
I: alsa-util.c: PCM device plug:surround50:2 refused our hw parameters: Invalid argument
D: alsa-util.c: Trying surround51:2 with SND_PCM_NO_AUTO_FORMAT ...
D: alsa-util.c: Trying surround51:2 without SND_PCM_NO_AUTO_FORMAT ...
D: alsa-util.c: Trying plug:surround51:2 with SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_params.c: Slave PCM not usable
D: alsa-util.c: Trying plug:surround51:2 without SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_params.c: Slave PCM not usable
I: alsa-util.c: PCM device plug:surround51:2 refused our hw parameters: Invalid argument
D: alsa-util.c: Trying surround71:2 with SND_PCM_NO_AUTO_FORMAT ...
D: alsa-util.c: Trying surround71:2 without SND_PCM_NO_AUTO_FORMAT ...
D: alsa-util.c: Trying plug:surround71:2 with SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_params.c: Slave PCM not usable
D: alsa-util.c: Trying plug:surround71:2 without SND_PCM_NO_AUTO_FORMAT ...
I: (alsa-lib)pcm_params.c: Slave PCM not usable
I: alsa-util.c: PCM device plug:surround71:2 refused our hw parameters: Invalid argument
D: alsa-util.c: Trying hw:2 as last resort...
D: alsa-util.c: Trying hw:2 with SND_PCM_NO_AUTO_FORMAT ...
D: alsa-util.c: Maximum hw buffer size is 32768 ms
W: alsa-util.c: Device hw:2 doesn't support 44100 Hz, changed to 16000 Hz.
W: alsa-util.c: Device hw:2 doesn't support 2 channels, changed to 1.
I: module-alsa-source.c: Successfully opened device hw:2.
I: module-alsa-source.c: Successfully enabled mmap() mode.
I: module-alsa-source.c: Successfully enabled timer-based scheduling mode.
I: alsa-util.c: Successfully attached to mixer 'hw:2'
I: alsa-util.c: Cannot find mixer control "Capture".
I: alsa-util.c: Using mixer control "Mic".
I: module-device-restore.c: Restoring volume for source alsa_input.usb_device_46d_8ad_noserial_if1_sound_card_0_alsa_capture_0.
I: module-device-restore.c: Restoring mute state for source alsa_input.usb_device_46d_8ad_noserial_if1_sound_card_0_alsa_capture_0.
I: source.c: Created source 0 "alsa_input.usb_device_46d_8ad_noserial_if1_sound_card_0_alsa_capture_0" with sample spec s16le 1ch 16000Hz and channel map mono
I: module-alsa-source.c: Using 2 fragments of size 32000 bytes, buffer time is 2000.00ms
I: module-alsa-source.c: Time scheduling watermark is 110.25ms
D: module-alsa-source.c: hwbuf_unused_frames=0
D: module-alsa-source.c: setting avail_min=60473
I: module-alsa-source.c: Volume ranges from 0 to 3.
I: module-alsa-source.c: Volume ranges from 30.00 dB to 60.00 dB.
I: alsa-util.c: All 1 channels can be mapped to mixer channels.
I: module-alsa-source.c: Using hardware volume control. Hardware dB scale supported.
D: alsa-util.c: snd_pcm_dump():
D: alsa-util.c: Hardware PCM card 2 'USB Device 0x46d:0x8ad' device 0 subdevice 0
D: alsa-util.c: Its setup is:
D: alsa-util.c:   stream       : CAPTURE
D: alsa-util.c:   access       : MMAP_INTERLEAVED
D: alsa-util.c:   format       : S16_LE
D: alsa-util.c:   subformat    : STD
D: alsa-util.c:   channels     : 1
D: alsa-util.c:   rate         : 16000
D: alsa-util.c:   exact rate   : 16000 (16000/1)
D: alsa-util.c:   msbits       : 16
D: alsa-util.c:   buffer_size  : 32000
D: alsa-util.c:   period_size  : 16000
D: alsa-util.c:   period_time  : 1000000
D: alsa-util.c:   tstamp_mode  : NONE
D: alsa-util.c:   period_step  : 1
D: alsa-util.c:   avail_min    : 60473
D: alsa-util.c:   period_event : 0
D: alsa-util.c:   start_threshold  : -1
D: alsa-util.c:   stop_threshold   : -1
D: alsa-util.c:   silence_threshold: 0
D: alsa-util.c:   silence_size : 0
D: alsa-util.c:   boundary     : 9007199254740992000
D: module-alsa-source.c: Thread starting up
D: module-alsa-source.c: Requested volume: 0:  83%
D: module-alsa-source.c: Got hardware volume: 0:  83%
D: rtpoll.c: Acquired POSIX realtime signal SIGRTMIN+29
D: module-alsa-source.c: Calculated software volume: 0: 100%
I: module.c: Loaded "module-alsa-source" (index: #2; argument: "device_id=2 source_name=alsa_input.usb_device_46d_8ad_noserial_if1_sound_card_0_alsa_capture_0 tsched=1").
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/usb_device_46d_8ad_noserial_if1_sound_card_0_alsa_control__1
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/pci_1002_aa30_sound_card_0_alsa_playback_3
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/pci_1002_aa30_sound_card_0_alsa_hw_specific_0
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/pci_1002_aa30_sound_card_0_alsa_control__1
I: module-hal-detect.c: Loaded 1 modules.
I: module.c: Loaded "module-hal-detect" (index: #3; argument: "").
D: cli-command.c: Checking for existance of '/usr/lib64/pulse-0.9/modules/module-esound-protocol-unix.so': success
I: module.c: Loaded "module-esound-protocol-unix" (index: #4; argument: "").
I: module.c: Loaded "module-native-protocol-unix" (index: #5; argument: "").
I: module-default-device-restore.c: Saved default sink 'alsa_output.pci_8086_293e_sound_card_0_alsa_playback_0' not existant, not restoring default sink setting.
I: module-default-device-restore.c: Restored default source 'alsa_input.usb_device_46d_8ad_noserial_if1_sound_card_0_alsa_capture_0'.
I: module.c: Loaded "module-default-device-restore" (index: #6; argument: "").
I: module.c: Loaded "module-rescue-streams" (index: #7; argument: "").
D: module-always-sink.c: Autoloading null-sink as no other sinks detected.
I: module-device-restore.c: Restoring volume for sink auto_null.
I: module-device-restore.c: Restoring mute state for sink auto_null.
I: sink.c: Created sink 0 "auto_null" with sample spec s16le 2ch 44100Hz and channel map front-left,front-right
I: module-device-restore.c: Restoring volume for source auto_null.monitor.
I: module-device-restore.c: Restoring mute state for source auto_null.monitor.
I: source.c: Created source 1 "auto_null.monitor" with sample spec s16le 2ch 44100Hz and channel map front-left,front-right
D: module-null-sink.c: Thread starting up
D: rtpoll.c: Acquired POSIX realtime signal SIGRTMIN+28
I: module.c: Loaded "module-null-sink" (index: #8; argument: "sink_name=auto_null").
I: module.c: Loaded "module-always-sink" (index: #9; argument: "").
D: module-suspend-on-idle.c: Sink auto_null becomes idle.
D: module-suspend-on-idle.c: Source alsa_input.usb_device_46d_8ad_noserial_if1_sound_card_0_alsa_capture_0 becomes idle.
D: module-suspend-on-idle.c: Source auto_null.monitor becomes idle.
I: module.c: Loaded "module-suspend-on-idle" (index: #10; argument: "").
I: client.c: Created 0 "ConsoleKit Session /org/freedesktop/ConsoleKit/Session2"
D: module-console-kit.c: Added new session /org/freedesktop/ConsoleKit/Session2
I: module.c: Loaded "module-console-kit" (index: #11; argument: "").
I: module.c: Loaded "module-position-event-sounds" (index: #12; argument: "").
D: cli-command.c: Checking for existance of '/usr/lib64/pulse-0.9/modules/module-gconf.so': success
I: module.c: Loaded "module-gconf" (index: #13; argument: "").
I: main.c: Daemon startup complete.
D: module-hal-detect.c: dbus: interface=org.freedesktop.DBus, path=/org/freedesktop/DBus, member=NameAcquired
D: module-console-kit.c: dbus: interface=org.freedesktop.DBus, path=/org/freedesktop/DBus, member=NameAcquired
I: module-suspend-on-idle.c: Sink auto_null idle for too long, suspending ...
I: module-suspend-on-idle.c: Source auto_null.monitor idle for too long, suspending ...
I: module-suspend-on-idle.c: Source alsa_input.usb_device_46d_8ad_noserial_if1_sound_card_0_alsa_capture_0 idle for too long, suspending ...
I: module-alsa-source.c: Device suspended...
Comment 5 Lennart Poettering 2009-03-31 10:38:37 EDT
Those "Resource is busy" messages tell you that some other application is blocking access to the audio device. Use "fuser -v /dev/dsp* /dev/snd/*" to find out which one it is.

This is not a bug in PA. Closing.
Comment 6 Adam Kovari 2009-03-31 10:57:32 EDT
[adam@adam-linux ~]$ fuser -v /dev/dsp* /dev/snd/*
                     USER        PID ACCESS COMMAND
/dev/snd/controlC0:  adam       3771 F.... mixer_applet2

When i killed the mixer_applet2, so the output would be:
[adam@adam-linux ~]$ fuser -v /dev/dsp* /dev/snd/*
[adam@adam-linux ~]$ 

the sound still doesn't play.
Comment 7 Lennart Poettering 2009-03-31 11:07:58 EDT
You need to make sure that no other application locks access to the device while PA is started up. Terminating those apps afterwards does not help.

Also, mixer_applet2 is certainly not your culprit since it only opens the mixer device which may very well be opened more than once.
Comment 8 Adam Kovari 2009-03-31 12:09:50 EDT
Thank you, is there any way to find out which application locks the access to the device and how can I prevent it?
Comment 9 Lennart Poettering 2009-03-31 13:56:24 EDT
fuser -v tells you that as mentioned (as root to get the full picture)

Well behaving applicationns don't block access to the audio device. Closed source software tends not to be that nice.
Comment 10 Adam Kovari 2009-03-31 14:48:56 EDT
[root@adam-linux adam]# fuser -v /dev/snd/*
                     USER        PID ACCESS COMMAND
/dev/snd/controlC0:  adam       3670 F.... pulseaudio
                     adam       3772 F.... mixer_applet2
/dev/snd/controlC2:  adam       3670 F.... pulseaudio
[root@adam-linux adam]# fuser -v /dev/dsp*
                     USER        PID ACCESS COMMAND
/dev/dsp:            root       2959 F.... qemu-kvm
[root@adam-linux adam]# 

So it really seems to be KVM-related. I guess i will need to disconnect sound devices from KVM. Is there a chance this is some KVM bug, or it is just me having this issue?
Comment 11 Adam Kovari 2009-03-31 14:55:04 EDT
I removed all sound devices from running KVM virtual machines and after restart of pulseaudio the sound is working again.

I can report some additional data if this will be taken as a KVM bug.

Note You need to log in before you can comment on or make changes to this bug.